gnutls_x509_privkey_generate(3)

NAME
gnutls_x509_privkey_generate - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_privkey_generate(gnutls_x509_privkey_t key, gnutls_pk_algorithm_t algo, unsigned int bits, unsigned int flags);

ARGUMENTS

gnutls_x509_privkey_t key
    should contain a gnutls_x509_privkey_t structure

gnutls_pk_algorithm_t algo
    is one of the algorithms in gnutls_pk_algorithm_t.

unsigned int bits
    the size of the modulus

unsigned int flags
    unused for now. Must be 0.

DESCRIPTION
This function will generate a random private key. Note that this function must be called on an empty private key. Do not set the number of bits directly, use gnutls_sec_param_to_pk_bits().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/